Package org.eclipse.m2m.atl.engine.compiler

## Interface AtlStandaloneCompiler

All Known Implementing Classes:
  `Atl2004Compiler`, `Atl2006Compiler`, `AtlDefaultCompiler`, `AtlToEmftvmCompiler`

    public interface AtlStandaloneCompiler

Eclipse-independent interface for ATL compilers.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompileTimeError[]` `compile​(java.io.InputStream in, java.lang.String outputFileName)` Compiles an ATL script and returns easily accessible error messages.
`CompileTimeError[]` `compile​(java.io.Reader in, java.lang.String outputFileName)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(java.io.InputStream in, java.io.OutputStream outputStream)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(java.io.InputStream in, java.lang.String outputFileName)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(java.io.Reader in, java.io.OutputStream outputStream)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(java.io.Reader in, java.lang.String outputFileName)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(IModel atlModel, java.io.OutputStream outputStream)` Compiles an ATL script and returns easily accessible error messages.
`org.eclipse.emf.ecore.EObject[]` `compileWithProblemModel​(IModel atlModel, java.lang.String outputFileName)` Compiles an ATL script and returns easily accessible error messages.

### Method Detail

#### compile

    CompileTimeError[] compile​(java.io.InputStream in,
                               java.lang.String outputFileName)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The InputStream to get atl source from.
  `outputFileName` - Name of the file to which the ATL compiled program will be saved.
Returns:
  array of compiletime errors (0 length if no errors)

#### compile

    CompileTimeError[] compile​(java.io.Reader in,
                               java.lang.String outputFileName)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The Reader to get atl source from.
  `outputFileName` - Name of the file to which the ATL compiled program will be saved.
Returns:
  array of compiletime errors (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(java.io.InputStream in,
                                                            java.lang.String outputFileName)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The InputStream to get atl source from.
  `outputFileName` - Name of the file to which the ATL compiled program will be saved.
Returns:
  array of compiletime errors as EObjects (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(java.io.Reader in,
                                                            java.lang.String outputFileName)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The Reader to get atl source from.
  `outputFileName` - Name of the file to which the ATL compiled program will be saved.
Returns:
  array of compiletime errors as EObjects (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(java.io.InputStream in,
                                                            java.io.OutputStream outputStream)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The InputStream to get atl source from.
  `outputStream` - the compilation ASM output stream
Returns:
  array of compiletime errors as EObjects (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(java.io.Reader in,
                                                            java.io.OutputStream outputStream)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `in` - The Reader to get atl source from.
  `outputStream` - the compilation ASM output stream
Returns:
  array of compiletime errors as EObjects (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(IModel atlModel,
                                                            java.io.OutputStream outputStream)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `atlModel` - The atlModel.
  `outputStream` - the compilation ASM output stream
Returns:
  array of compiletime errors as EObjects (0 length if no errors)

#### compileWithProblemModel

    org.eclipse.emf.ecore.EObject[] compileWithProblemModel​(IModel atlModel,
                                                            java.lang.String outputFileName)

Compiles an ATL script and returns easily accessible error messages.

Parameters:
  `atlModel` - The atlModel.
  `outputFileName` - Name of the file to which the ATL compiled program will be saved.
Returns:
  array of compiletime errors as EObjects (0 length if no errors)